SHAPEIT4(1)

NAME
shapeit4 - fast and accurate method for estimation of haplotypes (phasing)

SYNOPSIS
shapeit4 [options]

DESCRIPTION
Segmented HAPlotype Estimation and Imputation Tools version 4 (SHAPEIT4). SHAPEIT4 is a fast and accurate method for estimation of haplotypes (aka phasing) for SNP array and sequencing data. It includes a Positional Burrow Wheeler Transform (PBWT) based approach to quickly select a small set of informative conditioning haplotypes to be used when updating the phase of an individual. It accounts for sets of pre-phased genotypes (i.e. haplotype scaffold). The scaffold can be derived either from family data or large reference panels. It reads and writes files using HTSlib for better I/O performance in either VCF or BCF formats. The genotype graph and HMM routines have been re-implemented for better hardware usage and performance.

OPTIONS

  Basic options

--help
    Produce help message

--seed arg (=15052011)
    Seed of the random number generator

-T, --thread arg (=1)
    Number of thread used

  Input files

-I, --input arg
    Genotypes to be phased in VCF/BCF format

-H, --reference arg
    Reference panel of haplotypes in VCF/BCF format

-S, --scaffold arg
    Scaffold of haplotypes in VCF/BCF format

-M, --map arg
    Genetic map

-R, --region arg
    Target region

--use-PS arg
    Informs phasing using PS field from read based phasing

  MCMC parameters

--mcmc-iterations arg (=5b,1p,1b,1p,1b,1p,5m)
    Iteration scheme of the MCMC

--mcmc-prune arg (=0.999)
    Pruning threshold

--mcmc-store-K arg
    Store K sizes in last iterations

  PBWT parameters

--pbwt-disable-init
    Do not initialise haplotypes by PBWT (rephase input haplotype data)

--pbwt-modulo arg (=8)
    Storage frequency of PBWT indexes in variant numbers (i.e. 16 means storage every 16 variants)

--pbwt-depth arg (=4)
    Depth of PBWT indexes to condition on

  HMM parameters

-W, --window arg (=2000000)
    Minimal size of the phasing window

--effective-size arg (=15000)
    Effective size of the population

  Output files

-O, --output arg
    Phased haplotypes in VCF/BCF format

--log arg
    Log file

SEE ALSO
https://odelaneau.github.io/shapeit4/

AUTHOR
SHAPEIT4 was written by Olivier Delaneau.